# Generated from moj_tribunals_config-1.6.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name moj_tribunals_config

Name: rubygem-%{gem_name}
Version: 1.6.0
Release: 1%{?dist}
Summary: Provides a single source of truth about configuration for MoJ Tribunals
License: MIT
URL: http://github.com/aldavidson/moj_tribunals_config
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(shoulda)
# BuildRequires: rubygem(jeweler) >= 2.0.1
# BuildRequires: rubygem(jeweler) < 2.1
# BuildRequires: rubygem(byebug)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
Used by tribunals_frontend and tribunals_api to share configuration.
To use:
1) add "gem 'moj_tribunals_config'" to your Gemfile
2) in an initializer, add the following code:
require 'moj_tribunals_config'
my_config = Moj::Tribunals::ConfigLoader.new.load
This will load the default config files from the gem.
To load different files, you can provide an alternative path
to the ConfigLoader.new method, e.g.
my_config =
Moj::Tribunals::ConfigLoader.new('/my/alternative/config/path').load
To just load config for a specific tribunal, you can do:
config_loader = Moj::Tribunals::ConfigLoader.new
config_file = config_loader.config_file_for('utiac')
config_loader.load_file( config_file )
RailsConfig integration
=======================
If you're using the RailsConfig gem, your intializer can just do something
like:
files = Moj::Tribunals::ConfigLoader.new.config_files
files.each{ |f| Settings.add_source!( f ) }
Settings.reload!
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.ruby-version
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/moj_tribunals_config.gemspec
%{gem_instdir}/spec

%changelog
* Tue Sep 14 2021 mockbuilder - 1.6.0-1
- Initial package
